Bug 9663 - make test hangs
make test hangs
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Test infrastructure
4.0.3
x64 Linux
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-14 11:24 UTC by Atro Tossavainen
Modified: 2013-03-12 11:51 UTC (History)
0 users

See Also:


Attachments
"make test" output, target system is x86_64 running CentOS 6 (298.35 KB, text/plain)
2013-02-14 11:24 UTC, Atro Tossavainen
no flags Details
Another "make test" log on a different CentOS 6 x86_64 system (599.43 KB, text/plain)
2013-02-15 09:13 UTC, Atro Tossavainen
no flags Details
Yet another "make test" log on a CentOS 5 x86_64 system (1.43 MB, text/plain)
2013-02-15 09:14 UTC, Atro Tossavainen
no flags Details
patches cherry-picked from master (to skip a spinning test) (961 bytes, patch)
2013-03-11 12:52 UTC, Andrew Bartlett
jra: review+
Details
patches cherry-picked from master (to skip another spinning test) (964 bytes, patch)
2013-03-11 12:53 UTC, Andrew Bartlett
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Atro Tossavainen 2013-02-14 11:24:50 UTC
Created attachment 8552 [details]
"make test" output, target system is x86_64 running CentOS 6

"make test" hangs at around 612/1558.  Apparently an ext4 interaction.
Comment 1 Atro Tossavainen 2013-02-15 09:13:15 UTC
Created attachment 8556 [details]
Another "make test" log on a different CentOS 6 x86_64 system
Comment 2 Atro Tossavainen 2013-02-15 09:14:15 UTC
Created attachment 8557 [details]
Yet another "make test" log on a CentOS 5 x86_64 system
Comment 3 Jeremy Allison 2013-02-15 16:41:01 UTC
This is a known problem to do with the DOS version of the protocol interacting with the fact that on 64-bit systems the return from a telldir is 8 bytes, and there's only 4 bytes to store it in the protocol return.

No fix available yet, just skip the DOS tests.

Jeremy.
Comment 4 Atro Tossavainen 2013-02-27 22:06:03 UTC
(In reply to comment #3)
> This is a known problem to do with the DOS version of the protocol interacting
> with the fact that on 64-bit systems the return from a telldir is 8 bytes, and
> there's only 4 bytes to store it in the protocol return.
> 
> No fix available yet, just skip the DOS tests.
> 
> Jeremy.

Getting no love on 32-bit systems either.

Have now tested the same procedure: install prerequisites as per wiki, ./configure --enable-debug --enable-selftest, make, make test on CentOS 5/6, 32/64 bit, virtual/physical machine.  Always as non-root.  Make gets through just fine without errors.  Make test gives dozens, hundreds.
Comment 5 Jeremy Allison 2013-02-27 22:20:15 UTC
It all depends on sizeof(long). If that is 8 bytes, then there'll be problems with that test.
Comment 6 Atro Tossavainen 2013-02-27 22:22:40 UTC
(In reply to comment #5)
> It all depends on sizeof(long). If that is 8 bytes, then there'll be problems
> with that test.

The sizeof(long) is 4 on 32-bit CentOS 5 and 6 as you'd expect.
Comment 7 Andrew Bartlett 2013-03-11 12:52:10 UTC
Created attachment 8628 [details]
patches cherry-picked from master (to skip a spinning test)
Comment 8 Andrew Bartlett 2013-03-11 12:53:00 UTC
Created attachment 8629 [details]
patches cherry-picked from master (to skip another spinning test)

These patches went into master but never made v4-0-test.  They should paper over this for now.
Comment 9 Jeremy Allison 2013-03-11 18:27:34 UTC
Both look good to me. Re-assigning to Karolin for inclusion in 4.0.next.
Jeremy.
Comment 10 Karolin Seeger 2013-03-12 08:10:14 UTC
Pushed both patches to autobuild-v4-0-test.
Comment 11 Karolin Seeger 2013-03-12 11:51:10 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!